/*
 * diot_util - diagnostic tool for DIOT system board
 * 
 * Author: Greg Daniluk
 * Copyright CERN 2021
 * 
 */

#ifndef __DIOT_UTIL_PTS_H__
#define __DIOT_UTIL_PTS_H__

#define PTS_HWVER 2

struct pts_sensor {
	char *short_name;
	double allowed_min;
	double allowed_max;
};

struct pts_sensor * find_pts_sensor(char *sensor_name);
int cmd_pts(char *params);
int pts_sensor_inrange(double val, struct pts_sensor *sens);

#endif
